Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class BooleanPropertyExecutor

    java.lang.Object
      |
      +--org.apache.velocity.runtime.parser.node.AbstractExecutor
            |
            +--org.apache.velocity.runtime.parser.node.PropertyExecutor
                  |
                  +--org.apache.velocity.runtime.parser.node.BooleanPropertyExecutor

public class BooleanPropertyExecutor
extends PropertyExecutor

Handles discovery and valuation of a boolean object property, of the form public boolean is when executed. We do this separately as to preserve the current quasi-broken semantics of get get< flip 1st char> get("property") and now followed by is

Version:
  $Id: BooleanPropertyExecutor.java,v 1.1 2001/11/19 13:52:30 geirm Exp $
Author:
  Geir Magnusson Jr.

Fields inherited from class org.apache.velocity.runtime.parser.node.PropertyExecutor
`methodUsed`

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`method, rsvc`

Constructor Summary
`BooleanPropertyExecutor(RuntimeServices r, java.lang.Class clazz, java.lang.String property)`

Method Summary
`protected void` | `discover(java.lang.Class clazz, java.lang.String property)`

Methods inherited from class org.apache.velocity.runtime.parser.node.PropertyExecutor
`execute`

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`isAlive`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### BooleanPropertyExecutor

    public BooleanPropertyExecutor(RuntimeServices r,
                                   java.lang.Class clazz,
                                   java.lang.String property)

Method Detail

### discover

    protected void discover(java.lang.Class clazz,
                            java.lang.String property)

  Overrides:
    `discover` in class `PropertyExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.